API Referenceapipatient-graphGET /v1/researcher-acknowledgements/me

GET /v1/researcher-acknowledgements/me

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • statement_version (string) —

Responses

200 Researcher acknowledgement status for the authenticated user

{
  "type": "object",
  "properties": {
    "acknowledged": {
      "type": "boolean"
    },
    "statement_version": {
      "type": "string"
    },
    "acknowledgement": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "id": {
          "type": "string"
        },
        "patient_id": {
          "type": "string"
        },
        "full_name": {
          "type": "string"
        },
        "ip_address": {
          "type": "string"
        },
        "source": {
          "type": "string"
        },
        "statement_version": {
          "type": "string"
        },
        "acknowledged_at": {
          "type": "string"
        },
        "created_at": {
          "type": "string"
        },
        "updated_at": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "patient_id",
        "full_name",
        "ip_address",
        "source",
        "statement_version",
        "acknowledged_at",
        "created_at",
        "updated_at"
      ]
    }
  },
  "required": [
    "acknowledged",
    "statement_version",
    "acknowledgement"
  ]
}

404 Patient not found for the authenticated user

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/researcher-acknowledgements/me \
  -H "Authorization: Bearer $ACCESS_TOKEN"